# GCC_RegistryMonitorEntryIndication Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RegistryMonitorEntryIndication:

List of all members.

## Public Types

enum | OptionalFields { e_modificationRights }

## Public Member Functions

| GCC_RegistryMonitorEntryIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_RegistryKey | m_key
GCC_RegistryItem | m_item
GCC_RegistryEntryOwner | m_owner
GCC_RegistryModificationRights | m_modificationRights

## Member Enumeration Documentation

enum GCC_RegistryMonitorEntryIndication::OptionalFields

Enumerator:

  e_modificationRights |

## Constructor & Destructor Documentation

GCC_RegistryMonitorEntryIndication::GCC_RegistryMonitorEntryIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RegistryMonitorEntryIndication::GetDataLength | ( |  | ) | const

PBoolean GCC_RegistryMonitorEntryIndication::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RegistryMonitorEntryIndication::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RegistryMonitorEntryIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RegistryMonitorEntryIndication::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RegistryMonitorEntryIndication::Clone | ( |  | ) | const

## Member Data Documentation

GCC_RegistryKey GCC_RegistryMonitorEntryIndication::m_key

GCC_RegistryItem GCC_RegistryMonitorEntryIndication::m_item

GCC_RegistryEntryOwner GCC_RegistryMonitorEntryIndication::m_owner

GCC_RegistryModificationRights GCC_RegistryMonitorEntryIndication::m_modificationRights

The documentation for this class was generated from the following file:

- gcc.h